import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listStock(query) {
  return request({
    url: '/app/stock/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getStock(stockId) {
  return request({
    url: '/app/stock/' + stockId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addStock(data) {
  return request({
    url: '/app/stock',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateStock(data) {
  return request({
    url: '/app/stock',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delStock(stockId) {
  return request({
    url: '/app/stock/' + stockId,
    method: 'delete'
  })
}
